Danh sách lệnh điều kiện
curl --request GET \
--url https://api.ssi.com.vn/api/v3/trading/fco/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/trading/fco/list"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/trading/fco/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"fcoId": "c6b7362b-137f-46d5-9049-5785726d8690",
"username": "Q12345",
"accountNo": "Q123456",
"quantity": 100,
"price": "19600",
"priceSlip": 0,
"symbol": "SSI",
"orderType": null,
"matchedQuantity": 0,
"isPlaceOrder": false,
"status": "WAIT",
"detail": "",
"from": "2026/07/01 13:00:22",
"to": "2026/09/18 13:59:00",
"type": "stop_limit",
"fco_params": {
"stopPrice": 19700,
"side": "S",
"activePrice": 0,
"trailingAmount": 0,
"tpActivePrice": 0,
"slActivePrice": 0,
"tpPrice": null,
"slPrice": null,
"tpSlip": 0,
"slSlip": 0,
"price_operator": 0
}
},
{
"fcoId": "c6b7362b-137f-46d5-9049-5785726d8690",
"username": "Q12345",
"accountNo": "Q123456",
"quantity": 100,
"price": "19600",
"priceSlip": 0,
"symbol": "SSI",
"orderType": null,
"matchedQuantity": 0,
"isPlaceOrder": false,
"status": "TER",
"detail": "",
"from": "2026/07/01 12:59:08",
"to": "2026/09/18 13:59:00",
"type": "stop_limit",
"fco_params": {
"stopPrice": 19700,
"side": "S",
"activePrice": 0,
"trailingAmount": 0,
"tpActivePrice": 0,
"slActivePrice": 0,
"tpPrice": null,
"slPrice": null,
"tpSlip": 0,
"slSlip": 0,
"price_operator": 4
}
}
],
"pageSize": 10,
"pageIndex": 1,
"itemsCount": 2
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Lệnh điều kiện
Danh sách lệnh điều kiện
Lấy danh sách các lệnh điều kiện đã tạo theo bộ lọc.
GET
/
api
/
v3
/
trading
/
fco
/
list
Danh sách lệnh điều kiện
Ủy quyền
Access token lấy từ endpoint /api/v3/auth/token hoặc /api/v3/auth/refresh.
Tiêu đề
Định dạng nội dung request body. Chủ yếu là application/json.
Thông tin client gửi request.
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Tham số truy vấn
ID của lệnh điều kiện cần truy vấn.
Tài khoản đặt lệnh.
Loại lệnh điều kiện cần lọc.
Trạng thái lệnh điều kiện cần lọc. Hỗ trợ lọc nhiều trạng thái cùng lúc, phân cách bằng dấu phẩy.
Mã chứng khoán hoặc mã hợp đồng phái sinh cần lọc.
Chiều mua hoặc bán của lệnh.
Ngày bắt đầu lọc, định dạng YYYY/MM/DD.
Ngày kết thúc lọc, định dạng YYYY/MM/DD.
Chỉ số trang khi phân trang kết quả, bắt đầu từ 1. Mặc định là 1.
Số lượng bản ghi trên mỗi trang. Mặc định là 10.